Skip to main content
GET
/
trade
/
detail
Get OTC trade detail
curl --request GET \
  --url https://ramp-sandbox.hexarails.ai/trade/detail \
  --header 'X-API-Key: <api-key>'
{
  "status": "SUCCESS",
  "data": {
    "id": "<string>",
    "fromAmount": "<string>",
    "fromCurrency": "<string>",
    "toAmount": "<string>",
    "toCurrency": "<string>",
    "createTime": "<string>",
    "deposit": {
      "id": "<string>",
      "customerName": {}
    },
    "legacyDeposit": {
      "id": 123,
      "customerName": {}
    }
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

id
string
required

Trade id

status
enum<string>

Optional status filter

Available options:
CREATED,
SETTLED,
CANCELED

Response

OTC trade detail

status
enum<string>
required

Success response status

Available options:
SUCCESS
Example:

"SUCCESS"

data
object
required

Success response data